in_array
krsort
Array Functions
PHP Manual

# key

(PHP 4, PHP 5)

key — Fetch a key from an array

### Description

mixed key ( array `&$array` )

key() returns the index element of the current array position.

### Parameters

`array`

  The array.

### Return Values

Returns the index.

### Examples

Example #1 key() example

`<?php
$array = array(
'fruit1' => 'apple',
'fruit2' => 'orange',
'fruit3' => 'grape',
'fruit4' => 'apple',
'fruit5' => 'apple');
// this cycle echoes all associative array
// key where value equals "apple"
while ($fruit_name = current($array)) {
if ($fruit_name == 'apple') {
echo key($array).'<br />';
}
next($array);
}
?>`

The above example will output:

    fruit1<br />
    fruit4<br />
    fruit5<br />

### See Also

- current()
- next()

in_array
krsort
Array Functions
PHP Manual